/*
  stores deviceConfig data
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */


#include <deviceConfig/deviceConfig.h>


DeviceConfig::DeviceConfig() {
  musicInfo=new MusicInfo();
  statusInfo=new StatusInfo();
  audioInfo=new YafAudioInfo();
  audioBuffer=new AudioBuffer();
  streamProducer=NULL;
}


DeviceConfig::~DeviceConfig() {
  delete musicInfo;
  delete statusInfo;
  delete audioInfo;
}

void DeviceConfig::copyTo(DeviceConfig* aConfig) {
  aConfig->setAudioInfo(getAudioInfo());
  aConfig->setMusicInfo(getMusicInfo());
  aConfig->setStatusInfo(getStatusInfo());
  aConfig->setAudioBuffer(getAudioBuffer());
}


void DeviceConfig::setAudioInfo(YafAudioInfo* audio) {
  audio->copyTo(audioInfo);
}


YafAudioInfo* DeviceConfig::getAudioInfo() {
  return audioInfo;
}

void DeviceConfig::setMusicInfo(MusicInfo* music) {
  music->copyTo(musicInfo);
}


MusicInfo* DeviceConfig::getMusicInfo() {
  return musicInfo;
}


void DeviceConfig::setStatusInfo(StatusInfo* status) {
  status->copyTo(statusInfo);
}


StatusInfo* DeviceConfig::getStatusInfo() {
  return statusInfo;
}


void DeviceConfig::setAudioBuffer(AudioBuffer* aBuffer) {
  aBuffer->copyTo(audioBuffer);
}


AudioBuffer* DeviceConfig::getAudioBuffer() {
  return audioBuffer;
}

void* DeviceConfig::getStreamProducer() {
  return streamProducer;
}


void DeviceConfig::setStreamProducer(void* streamProducer) {
  this->streamProducer=streamProducer;
}


void DeviceConfig::print() {
  statusInfo->print();
  audioBuffer->print();
  musicInfo->print();
  audioInfo->print();
}



 
